Name:			perl-IPC-Shareable
Version:		0.60
Release:		1%{?dist}
Summary:		Share Perl variables between processes
License:		Distributable, see COPYING
Group:			Development/Libraries
URL:			http://search.cpan.org/dist/IPC-Shareable/
Source0:		http://www.cpan.org/modules/by-module/IPC/IPC-Shareable-%{version}.tar.gz
Patch0:			IPC-Shareable.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
IPC::Shareable allows you to tie a variable to shared memory making it easy to
share the contents of that variable with other Perl processes. Scalars, arrays,
and hashes can be tied. The variable being tied may contain arbitrarily complex
data structures - including references to arrays, hashes of hashes, etc.

The association between variables in distinct processes is provided by GLUE.
This is an integer number or 4 character string[1] that serves as a common
identifier for data across process space. Hence the statement

 tie $scalar, 'IPC::Shareable', 'data';
in program one and the statement

 tie $variable, 'IPC::Shareable', 'data';
in program two will bind $scalar in program one and $variable in program two.

There is no pre-set limit to the number of processes that can bind to data; nor
is there a pre-set limit to the complexity of the underlying data of the tied
variables[2]. The amount of data that can be shared within a single bound
variable is limited by the system's maximum size for a shared memory segment
(the exact value is system-dependent).

The bound data structures are all linearized (using Raphael Manfredi's
Storable module) before being slurped into shared memory. Upon retrieval, the
original format of the data structure is recovered. Semaphore flags can be
used for locking data between competing processes.

%prep
%setup -q -n IPC-Shareable-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING CREDITS DISCLAIMER README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 19 2012 asides@lbl.gov 0.60-1
- Added patch0 IPC-Shareable.patch to fix error in testing
- Specfile autogenerated by cpanspec 1.77.
